libebook::XMLStylesheet Class Reference documentation

Public Types | Public Member Functions | Private Attributes | List of all members
libebook::XMLStylesheet Class Reference

`#include <XMLStylesheet.h>`

## Public Types
enum | Source { SOURCE_UA , SOURCE_USER , SOURCE_AUTHOR }

## Public Member Functions
| XMLStylesheet (Source source, bool quirks=false, librevenge::RVNGInputStream *input=0)
void | append (const std::string &selector, const std::string &rule)
bool | isQuirks () const
Source | getSource () const
CSSStylesheetPtr_t | get () const

## Private Attributes
std::deque< std::string > | m_data
const Source | m_source
const bool | m_quirks
bool | m_changed
CSSStylesheetPtr_t | m_compiled

## Member Enumeration Documentation

## ◆ Source

enum libebook::XMLStylesheet::Source

Enumerator
SOURCE_UA |
SOURCE_USER |
SOURCE_AUTHOR |

## Constructor & Destructor Documentation

## ◆ XMLStylesheet()

libebook::XMLStylesheet::XMLStylesheet | ( | const XMLStylesheet::Source | source,
|  | bool | quirks = false,
|  | librevenge::RVNGInputStream * | input = 0 )
| explicit

## Member Function Documentation

## ◆ append()

void libebook::XMLStylesheet::append | ( | const std::string & | selector,
|  | const std::string & | rule )

## ◆ get()

CSSStylesheetPtr_t libebook::XMLStylesheet::get | ( |  | ) | const

## ◆ getSource()

XMLStylesheet::Source libebook::XMLStylesheet::getSource | ( |  | ) | const

## ◆ isQuirks()

bool libebook::XMLStylesheet::isQuirks | ( |  | ) | const

## Member Data Documentation

## ◆ m_changed

bool libebook::XMLStylesheet::m_changed
| mutableprivate

Referenced by append(), get(), and XMLStylesheet().

## ◆ m_compiled

CSSStylesheetPtr_t libebook::XMLStylesheet::m_compiled
| mutableprivate

Referenced by get(), and XMLStylesheet().

## ◆ m_data

std::deque<std::string> libebook::XMLStylesheet::m_data
| private

Referenced by append(), get(), and XMLStylesheet().

## ◆ m_quirks

const bool libebook::XMLStylesheet::m_quirks
| private

Referenced by get(), isQuirks(), and XMLStylesheet().

## ◆ m_source

const Source libebook::XMLStylesheet::m_source
| private

Referenced by getSource(), and XMLStylesheet().

The documentation for this class was generated from the following files:

- XMLStylesheet.h
- XMLStylesheet.cpp